org.apache.catalina.ha.context

## Class ReplicatedContext.ReplApplContext

- java.lang.Object
- - org.apache.catalina.core.ApplicationContext
  - - org.apache.catalina.ha.context.ReplicatedContext.ReplApplContext

All Implemented Interfaces:
  ServletContext

Enclosing class:
  ReplicatedContext

    protected static class ReplicatedContext.ReplApplContext
    extends ApplicationContext

### Field Summary

Fields
`protected ConcurrentHashMap<String,Object>` `tomcatAttributes`

### Fields inherited from class org.apache.catalina.core.ApplicationContext

`attributes, GET_RESOURCE_REQUIRE_SLASH, STRICT_SERVLET_COMPLIANCE`

### Fields inherited from interface javax.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

### Constructor Summary

Constructors
Constructor and Description
`ReplicatedContext.ReplApplContext(ReplicatedContext context)`

### Method Summary

Methods
`Object` `getAttribute(String name)` Return the value of the specified context attribute, if any; otherwise return `null`.
`Map<String,Object>` `getAttributeMap()`
`Enumeration<String>` `getAttributeNames()` Return an enumeration of the names of the context attributes associated with this context.
`protected ServletContext` `getFacade()` Return the facade associated with this ApplicationContext.
`protected ReplicatedContext` `getParent()`
`void` `removeAttribute(String name)` Remove the context attribute with the specified name, if any.
`void` `setAttribute(String name, Object value)` Bind the specified value with the specified context attribute name, replacing any existing value for that name.
`void` `setAttributeMap(Map<String,Object> map)`

### Methods inherited from class org.apache.catalina.core.ApplicationContext

`addFilter, addFilter, addFilter, addListener, addListener, addListener, addServlet, addServlet, addServlet, clearAttributes, createFilter, createListener, createServlet, declareRoles, getClassLoader, getContext, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getJspConfigDescriptor, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getReadonlyAttributes, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResources, getServerInfo, getServlet, getServletContextName, getServletNames, getServletRegistration, getServletRegistrations, getServlets, getSessionCookieConfig, log, log, log, setInitParameter, setNewServletContextListenerAllowed, setSessionTrackingModes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tomcatAttributes

    protected ConcurrentHashMap<String,Object> tomcatAttributes

### Constructor Detail

#### ReplicatedContext.ReplApplContext

    public ReplicatedContext.ReplApplContext(ReplicatedContext context)

### Method Detail

#### getParent

    protected ReplicatedContext getParent()

#### getFacade

    protected ServletContext getFacade()

Description copied from class: `ApplicationContext`
Return the facade associated with this ApplicationContext.

Overrides:
  `getFacade` in class `ApplicationContext`

#### getAttributeMap

    public Map<String,Object> getAttributeMap()

#### setAttributeMap

    public void setAttributeMap(Map<String,Object> map)

#### removeAttribute

    public void removeAttribute(String name)

Description copied from class: `ApplicationContext`
Remove the context attribute with the specified name, if any.

Specified by:
  `removeAttribute` in interface `ServletContext`
Overrides:
  `removeAttribute` in class `ApplicationContext`
Parameters:
  `name` - Name of the context attribute to be removed

#### setAttribute

    public void setAttribute(String name,
                    Object value)

Description copied from class: `ApplicationContext`
Bind the specified value with the specified context attribute name, replacing any existing value for that name.

Specified by:
  `setAttribute` in interface `ServletContext`
Overrides:
  `setAttribute` in class `ApplicationContext`
Parameters:
  `name` - Attribute name to be bound
  `value` - New attribute value to be bound

#### getAttribute

    public Object getAttribute(String name)

Description copied from class: `ApplicationContext`
Return the value of the specified context attribute, if any; otherwise return `null`.

Specified by:
  `getAttribute` in interface `ServletContext`
Overrides:
  `getAttribute` in class `ApplicationContext`
Parameters:
  `name` - Name of the context attribute to return
Returns:
  an `Object` containing the value of the attribute, or `null` if no attribute exists matching the given name
See Also:
  `ServletContext.getAttributeNames()`

#### getAttributeNames

    public Enumeration<String> getAttributeNames()

Description copied from class: `ApplicationContext`
Return an enumeration of the names of the context attributes associated with this context.

Specified by:
  `getAttributeNames` in interface `ServletContext`
Overrides:
  `getAttributeNames` in class `ApplicationContext`
Returns:
  an `Enumeration` of attribute names
See Also:
  `ServletContext.getAttribute(java.lang.String)`